package com.dsk.common.core.domain.entity;

import com.dsk.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 项目联系人对象 business_contacts
 *
 * @author lxl
 * @date 2023-05-17
 */
public class BusinessContacts
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 项目id */
    @Excel(name = "项目id")
    private Integer businessId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String name;

    /** 角色 */
    @Excel(name = "角色")
    private String role;

    /** 公司/机关 */
    @Excel(name = "公司/机关")
    private String office;

    /** 职位 */
    @Excel(name = "职位")
    private String position;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 维护人员 */
    @Excel(name = "维护人员")
    private String accendant;

    /** 性别(1.男 2.女 0.未知) */
    @Excel(name = "性别")
    private Integer sex;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;



    public void setId(Integer id)
    {
        this.id = id;
    }

    public Integer getId()
    {
        return id;
    }
    public void setBusinessId(Integer businessId)
    {
        this.businessId = businessId;
    }

    public Integer getBusinessId()
    {
        return businessId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setRole(String role)
    {
        this.role = role;
    }

    public String getRole()
    {
        return role;
    }
    public void setOffice(String office)
    {
        this.office = office;
    }

    public String getOffice()
    {
        return office;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setAccendant(String accendant)
    {
        this.accendant = accendant;
    }

    public String getAccendant()
    {
        return accendant;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("businessId", getBusinessId())
            .append("name", getName())
            .append("role", getRole())
            .append("office", getOffice())
            .append("position", getPosition())
            .append("phone", getPhone())
            .append("accendant", getAccendant())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("sex", getSex())
            .toString();
    }
}
